from datetime import date, datetime, timedelta

from barker.core.config import settings


def query_date(d: str | None = None) -> date:
    return date.today() if d is None else datetime.strptime(d, "%d-%b-%Y").date()


def optional_query_date(d: str | None = None) -> date | None:
    return None if d is None else datetime.strptime(d, "%d-%b-%Y").date()


def effective_date(d: str | None = None) -> date:
    return (
        (
            datetime.utcnow() + timedelta(minutes=settings.TIMEZONE_OFFSET_MINUTES - settings.NEW_DAY_OFFSET_MINUTES)
        ).date()
        if d is None
        else datetime.strptime(d, "%d-%b-%Y").date()
    )
