import { CommonModule } from '@angular/common';
import { NgModule } from '@angular/core';
import { RouterModule, Routes } from '@angular/router';

import { AuthGuard } from '../auth/auth-guard.service';

import { ActiveCashiersResolver } from './active-cashiers-resolver.service';
import { CashierReportResolver } from './cashier-report-resolver.service';
import { CashierReportComponent } from './cashier-report.component';

const cashierReportRoutes: Routes = [
  {
    path: '',
    component: CashierReportComponent,
    canActivate: [AuthGuard],
    data: {
      permission: 'Cashier Report',
    },
    resolve: {
      info: CashierReportResolver,
      cashiers: ActiveCashiersResolver,
    },
    runGuardsAndResolvers: 'always',
  },
  {
    path: ':id',
    component: CashierReportComponent,
    canActivate: [AuthGuard],
    data: {
      permission: 'Cashier Report',
    },
    resolve: {
      info: CashierReportResolver,
      cashiers: ActiveCashiersResolver,
    },
    runGuardsAndResolvers: 'always',
  },
];

@NgModule({
  imports: [CommonModule, RouterModule.forChild(cashierReportRoutes)],
  exports: [RouterModule],
  providers: [CashierReportResolver],
})
export class CashierReportRoutingModule {}
