import { CommonModule } from '@angular/common';
import { NgModule } from '@angular/core';
import { RouterModule, Routes } from '@angular/router';

import { AuthGuard } from '../auth/auth-guard.service';

import { HeaderFooterResolver } from './header-footer-resolver.service';
import { HeaderFooterComponent } from './header-footer.component';

const headerRoutes: Routes = [
  {
    path: '',
    component: HeaderFooterComponent,
    canActivate: [AuthGuard],
    data: {
      permission: 'Owner',
    },
    resolve: {
      list: HeaderFooterResolver,
    },
  },
  {
    path: ':id',
    component: HeaderFooterComponent,
    canActivate: [AuthGuard],
    data: {
      permission: 'Owner',
    },
    resolve: {
      list: HeaderFooterResolver,
    },
  },
];

@NgModule({
  imports: [CommonModule, RouterModule.forChild(headerRoutes)],
  exports: [RouterModule],
  providers: [HeaderFooterResolver],
})
export class HeaderFooterRoutingModule {}
