import { DataSource } from '@angular/cdk/collections';
import { Observable } from 'rxjs';
import { tap } from 'rxjs/operators';

import { SaleCategory } from '../../core/sale-category';

export class SaleCategoryListDatasource extends DataSource<SaleCategory> {
  private data: SaleCategory[] = [];

  constructor(private readonly dataObs: Observable<SaleCategory[]>) {
    super();
    this.dataObs = dataObs.pipe(
      tap((x) => {
        this.data = x;
      }),
    );
  }

  connect(): Observable<SaleCategory[]> {
    return this.dataObs;
  }

  disconnect() {}
}
