import { Component, Inject, OnInit } from '@angular/core';
import { FormControl, FormGroup } from '@angular/forms';
import { MAT_DIALOG_DATA, MatDialogRef } from '@angular/material/dialog';

@Component({
  selector: 'app-pax',
  templateUrl: './pax.component.html',
  styleUrls: ['./pax.component.css'],
})
export class PaxComponent implements OnInit {
  form: FormGroup<{
    pax: FormControl<number>;
  }>;

  constructor(public dialogRef: MatDialogRef<PaxComponent>, @Inject(MAT_DIALOG_DATA) public data: number) {
    // Create form
    this.form = new FormGroup({
      pax: new FormControl<number>(0, { nonNullable: true }),
    });
  }

  ngOnInit() {
    this.form.setValue({
      pax: this.data,
    });
  }

  accept(): void {
    const pax = this.form.value.pax ?? 0;
    this.dialogRef.close(pax);
  }
}
