import { Component, OnInit } from '@angular/core';
import { ActivatedRoute } from '@angular/router';

import { Product } from '../../core/product';
import { BillService } from '../bill.service';

@Component({
  selector: 'app-products',
  templateUrl: './products.component.html',
  styleUrls: ['./products.component.css'],
})
export class ProductsComponent implements OnInit {
  list: Product[] = [];

  constructor(private route: ActivatedRoute, private bs: BillService) {}

  ngOnInit() {
    this.route.data.subscribe((value) => {
      const data = value as { list: Product[] };
      this.list = data.list;
    });
  }

  addProduct(product: Product): void {
    if (product.isNotAvailable) {
      return;
    }
    this.bs.addProduct(product, 1, 0);
  }
}
