import { DataSource } from '@angular/cdk/collections';
import { Observable } from 'rxjs';
import { tap } from 'rxjs/operators';

import { Table } from '../../core/table';

export class TableListDataSource extends DataSource<Table> {
  private data: Table[] = [];

  constructor(private readonly dataObs: Observable<Table[]>) {
    super();
    this.dataObs = dataObs.pipe(
      tap((x) => {
        this.data = x;
      }),
    );
  }

  connect(): Observable<Table[]> {
    return this.dataObs;
  }

  disconnect() {}
}
